#!/bin/bash
echo "Welcome!"

version="1.0.1"
localRegistryPass="***REMOVED***"
dockerHubRegistryPass="***REMOVED***"

echo "Login to dockerhub registry."
docker login --username=tstanciu --password=$dockerHubRegistryPass

echo "Create docker image with version $version and publish it to dockerhub registry."
docker buildx build --build-arg APP_VERSION=$version --platform linux/arm/v7 -t "tstanciu/sta-registry:network-resurrector-api-$version-arm32v7" -f "src/api/NetworkResurrector.Api/Docker/arm32v7/Dockerfile" --push .

echo "Pull docker image with version $version from dockerhub registry."
docker pull tstanciu/sta-registry:network-resurrector-api-$version-arm32v7

echo "Tag docker image with alpine-nexus registry prefix."
docker tag tstanciu/sta-registry:network-resurrector-api-$version-arm32v7 alpine-nexus:8500/network-resurrector/network-resurrector-api:$version-arm32v7

echo "Login to alpine-nexus registry."
docker login --username=admin --password=$localRegistryPass alpine-nexus:8500

echo "Push image alpine-nexus:8500/network-resurrector/network-resurrector-api:$version-arm32v7 to registry."
docker push alpine-nexus:8500/network-resurrector/network-resurrector-api:$version-arm32v7

echo "Remove docker image tstanciu/sta-registry:network-resurrector-api-$version-arm32v7 from local machine."
docker rmi tstanciu/sta-registry:network-resurrector-api-$version-arm32v7

echo "Remove docker image tstanciu/sta-registry:network-resurrector-api-$version-arm32v7 from local machine."
docker rmi alpine-nexus:8500/network-resurrector/network-resurrector-api:$version-arm32v7

echo "DONE!"